Subject: Re: [PATCH 2.5.70] acenic -- update to use alloc_etherdev

From: "David S. Miller" <[email-masked]>
Date: Wed, 11 Jun 2003 21:04:45 -0700 (PDT)

From: Jes Sorensen <[email-masked]>
   Date: 11 Jun 2003 18:21:09 -0400

   >>>>> "Stephen" == Stephen Hemminger <[email-masked]> writes:
   
   Stephen> Updated acenic driver to use alloc_etherdev to hold private
   Stephen> data structure.  Uses register_netdev() to get the name right
   Stephen> this time ;-)
   
   Please provide a compat macro for 2.4.18 and younger as well.

How actively are you maintaining acenic. Jes?  :-)  This is
a very serious question, I haven't seen a 2.5.x change go back
to 2.4.x since it's inception.

All this compat nonsense is becoming useless.  Other drivers
fair just fine 2.4.x/2.5.x without all this ifdef mumbo-jumbo
that litters acenic.c and makes it nearly impossible to read.

In fact all these localized compat macros make acenic.c HARDER
to maintain.